### Struct

# Camel URL

#### Description

    struct CamelURL {
      gchar* protocol;
      gchar* user;
      gchar* authmech;
      gchar* host;
      gint port;
      gchar* path;
      GData* params;
      gchar* query;
      gchar* fragment;
    }

No description available.

###### Structure members

`protocol:` `gchar*`

  No description available.

`user:` `gchar*`

  No description available.

`authmech:` `gchar*`

  No description available.

`host:` `gchar*`

  No description available.

`port:` `gint`

  No description available.

`path:` `gchar*`

  No description available.

`params:` `GData`

  No description available.

`query:` `gchar*`

  No description available.

`fragment:` `gchar*`

  No description available.

#### Constructors

###### camel_url_new

Parses an absolute URL.

#### Functions

###### camel_url_addrspec_end

No description available.

###### camel_url_addrspec_start

No description available.

###### camel_url_decode

%-decodes the passed-in URL in place. The decoded version is never longer than the encoded version, so there does not need to be any additional space at the end of the string.

###### camel_url_decode_path

No description available.

###### camel_url_encode

This %-encodes the given URL part and returns the escaped version in allocated memory, which the caller must free when it is done.

###### camel_url_file_end

No description available.

###### camel_url_file_start

No description available.

###### camel_url_web_end

No description available.

###### camel_url_web_start

No description available.

#### Instance methods

###### camel_url_copy

Copy a `CamelURL`.

###### camel_url_equal

No description available.

###### camel_url_free

Frees `url`.

###### camel_url_get_param

Get the value of the specified param on the URL.

###### camel_url_hash

No description available.

###### camel_url_new_with_base

Parses `url_string` relative to `base`.

###### camel_url_set_authmech

Set the authmech of a `CamelURL`.

###### camel_url_set_fragment

Set the fragment of a `CamelURL`.

###### camel_url_set_host

Set the hostname of a `CamelURL`.

###### camel_url_set_param

Set a param on the `CamelURL`.

###### camel_url_set_path

Set the path component of a `CamelURL`.

###### camel_url_set_port

Set the port on a `CamelURL`.

###### camel_url_set_protocol

Set the protocol of a `CamelURL`.

###### camel_url_set_query

Set the query of a `CamelURL`.

###### camel_url_set_user

Set the user of a `CamelURL`.

###### camel_url_to_string

Flatten a `CamelURL` into a string.